# coding: utf-8

"""
    AT-RTS

    AT-RTS (Remote Translation Service) is the web API which enables our translation systems to be integrated into our clients’ systems, from where the entire content translation process can be controlled.<br/>The web API, based on a SOAP web service, has REST interoperability from version 5.3.0.<br/>The operational functionalities are:<ul><li><b>Operating check:</b> Active service check.</li><li><b>Synchronous translation:</b> requests for automatic translation (non-human) orders.</li><li><b>Asynchronous translation:</b> Asynchronous requests for specialised professional translation orders.<br/>Each request returns a <b><i>token</i></b>, associated with the translation request, the purpose of which is to uniquely identify each work request so that the corresponding translation can be requested in the future once proofreading is complete.<br/>It should be noted that asynchronous translation requests have the option to indicate a <b><i>callback</i></b> URL, which involves activating a completed translation notification service, so that our clients can automate the completed request download process.<br/>To summarise, in this case, AT sends the requests directly to our clients’ systems for them to be located in their systems.<br/>Conceptually, at ATLS Global we guarantee the <b><i>return of translations</i></b> for asynchronous order requests to our clients’ infrastructure, taking into account that if the communication system fails <b><i>repeatedly a certain number of times</i></b> for any reason, a warning email would be sent to the email account that the client has specified during the request.</li><li><b>Translation return request:</b> Request to obtain a professional translation order from a token generated by the asynchronous translation request. If the order is not complete, it returns document status information.</li><li><b>Cancellation of a translation:</b> request for cancellation of previous asynchronous translation requests by token that have not been initiated. In this case, ATLS Global S.L. systems will validate that the indicated token has not started the translation process; if it has not started, the request will be cancelled.</li><li><b>List of requests:</b> Request regarding status and consumption of translation orders from the cut-off date, with the following information:<ul><li>projectid: AT project ID</li><li>token: Request token</li><li>sourcelang: Source language</li><li>targetlang: Target language</li>filename: Name associated with the request</li><li>wordcount: Number of words</li><li>status: Translation status<ul><li>10: Under review</li><li>20: Ready and pending delivery</li><li>30: Delivered</li><li>40: Canceled and deleted</li><li>50: Expired delivery</li><li>90: Documental entry error</li><li>100: Processing error</li></ul></li><li>urlcallback: (optional) completed translation return URL</li><li>errnotifiersendto (optional): translation return error notification email</li><li>dateinsert: Date of registration</li><li>type: Translation type, SYNCHRONOUS OR ASYNCHRONOUS.</li></ul></li></ul>  # noqa: E501

    OpenAPI spec version: 5.6.0
    Contact: info@at-ls.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class File(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'token_5': 'str',
        'token': 'str',
        'sourcelang': 'str',
        'targetlang': 'str',
        'filename': 'str',
        'wordcount': 'int',
        'idddv4': 'str',
        'dateinsert': 'datetime',
        'auxdata': 'str',
        'type': 'int',
        'projectid': 'int',
        'status': 'int'
    }

    attribute_map = {
        'token_5': 'token_5',
        'token': 'token',
        'sourcelang': 'sourcelang',
        'targetlang': 'targetlang',
        'filename': 'filename',
        'wordcount': 'wordcount',
        'idddv4': 'idddv4',
        'dateinsert': 'dateinsert',
        'auxdata': 'auxdata',
        'type': 'type',
        'projectid': 'projectid',
        'status': 'status'
    }

    def __init__(self, token_5=None, token=None, sourcelang=None, targetlang=None, filename=None, wordcount=None, idddv4=None, dateinsert=None, auxdata=None, type=None, projectid=None, status=None):  # noqa: E501
        """File - a model defined in Swagger"""  # noqa: E501
        self._token_5 = None
        self._token = None
        self._sourcelang = None
        self._targetlang = None
        self._filename = None
        self._wordcount = None
        self._idddv4 = None
        self._dateinsert = None
        self._auxdata = None
        self._type = None
        self._projectid = None
        self._status = None
        self.discriminator = None
        if token_5 is not None:
            self.token_5 = token_5
        if token is not None:
            self.token = token
        if sourcelang is not None:
            self.sourcelang = sourcelang
        if targetlang is not None:
            self.targetlang = targetlang
        if filename is not None:
            self.filename = filename
        if wordcount is not None:
            self.wordcount = wordcount
        if idddv4 is not None:
            self.idddv4 = idddv4
        if dateinsert is not None:
            self.dateinsert = dateinsert
        if auxdata is not None:
            self.auxdata = auxdata
        if type is not None:
            self.type = type
        if projectid is not None:
            self.projectid = projectid
        if status is not None:
            self.status = status

    @property
    def token_5(self):
        """Gets the token_5 of this File.  # noqa: E501

        The token key is a string of alphanumeric characters generated by encryption from the ATLS Global SL system that acts as the unique identifier of the file associated with the asynchronous translation request.  # noqa: E501

        :return: The token_5 of this File.  # noqa: E501
        :rtype: str
        """
        return self._token_5

    @token_5.setter
    def token_5(self, token_5):
        """Sets the token_5 of this File.

        The token key is a string of alphanumeric characters generated by encryption from the ATLS Global SL system that acts as the unique identifier of the file associated with the asynchronous translation request.  # noqa: E501

        :param token_5: The token_5 of this File.  # noqa: E501
        :type: str
        """

        self._token_5 = token_5

    @property
    def token(self):
        """Gets the token of this File.  # noqa: E501

        The token key is a string of alphanumeric characters generated using UUID encryption that acts as the unique identifier of the file associated with the asynchronous translation request.  # noqa: E501

        :return: The token of this File.  # noqa: E501
        :rtype: str
        """
        return self._token

    @token.setter
    def token(self, token):
        """Sets the token of this File.

        The token key is a string of alphanumeric characters generated using UUID encryption that acts as the unique identifier of the file associated with the asynchronous translation request.  # noqa: E501

        :param token: The token of this File.  # noqa: E501
        :type: str
        """

        self._token = token

    @property
    def sourcelang(self):
        """Gets the sourcelang of this File.  # noqa: E501

        The sourcelang key is a source language code in ISO-639-3 format.  # noqa: E501

        :return: The sourcelang of this File.  # noqa: E501
        :rtype: str
        """
        return self._sourcelang

    @sourcelang.setter
    def sourcelang(self, sourcelang):
        """Sets the sourcelang of this File.

        The sourcelang key is a source language code in ISO-639-3 format.  # noqa: E501

        :param sourcelang: The sourcelang of this File.  # noqa: E501
        :type: str
        """

        self._sourcelang = sourcelang

    @property
    def targetlang(self):
        """Gets the targetlang of this File.  # noqa: E501

        The targetlang key is a target language code in ISO-639-3 format.  # noqa: E501

        :return: The targetlang of this File.  # noqa: E501
        :rtype: str
        """
        return self._targetlang

    @targetlang.setter
    def targetlang(self, targetlang):
        """Sets the targetlang of this File.

        The targetlang key is a target language code in ISO-639-3 format.  # noqa: E501

        :param targetlang: The targetlang of this File.  # noqa: E501
        :type: str
        """

        self._targetlang = targetlang

    @property
    def filename(self):
        """Gets the filename of this File.  # noqa: E501

        The filename key indicates the name of the file.  # noqa: E501

        :return: The filename of this File.  # noqa: E501
        :rtype: str
        """
        return self._filename

    @filename.setter
    def filename(self, filename):
        """Sets the filename of this File.

        The filename key indicates the name of the file.  # noqa: E501

        :param filename: The filename of this File.  # noqa: E501
        :type: str
        """

        self._filename = filename

    @property
    def wordcount(self):
        """Gets the wordcount of this File.  # noqa: E501

        The wordcount key indicates the number of words in the file that have been translated.  # noqa: E501

        :return: The wordcount of this File.  # noqa: E501
        :rtype: int
        """
        return self._wordcount

    @wordcount.setter
    def wordcount(self, wordcount):
        """Sets the wordcount of this File.

        The wordcount key indicates the number of words in the file that have been translated.  # noqa: E501

        :param wordcount: The wordcount of this File.  # noqa: E501
        :type: int
        """

        self._wordcount = wordcount

    @property
    def idddv4(self):
        """Gets the idddv4 of this File.  # noqa: E501

        The idddv4 key indicates the internal identifier.  # noqa: E501

        :return: The idddv4 of this File.  # noqa: E501
        :rtype: str
        """
        return self._idddv4

    @idddv4.setter
    def idddv4(self, idddv4):
        """Sets the idddv4 of this File.

        The idddv4 key indicates the internal identifier.  # noqa: E501

        :param idddv4: The idddv4 of this File.  # noqa: E501
        :type: str
        """

        self._idddv4 = idddv4

    @property
    def dateinsert(self):
        """Gets the dateinsert of this File.  # noqa: E501

        The dateinsert key indicates the insertion date of the file.  # noqa: E501

        :return: The dateinsert of this File.  # noqa: E501
        :rtype: datetime
        """
        return self._dateinsert

    @dateinsert.setter
    def dateinsert(self, dateinsert):
        """Sets the dateinsert of this File.

        The dateinsert key indicates the insertion date of the file.  # noqa: E501

        :param dateinsert: The dateinsert of this File.  # noqa: E501
        :type: datetime
        """

        self._dateinsert = dateinsert

    @property
    def auxdata(self):
        """Gets the auxdata of this File.  # noqa: E501

        The auxdata key indicates auxiliary values.  # noqa: E501

        :return: The auxdata of this File.  # noqa: E501
        :rtype: str
        """
        return self._auxdata

    @auxdata.setter
    def auxdata(self, auxdata):
        """Sets the auxdata of this File.

        The auxdata key indicates auxiliary values.  # noqa: E501

        :param auxdata: The auxdata of this File.  # noqa: E501
        :type: str
        """

        self._auxdata = auxdata

    @property
    def type(self):
        """Gets the type of this File.  # noqa: E501

        The type key indicates how the translation has been requested, synchronous or asynchronous.  # noqa: E501

        :return: The type of this File.  # noqa: E501
        :rtype: int
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this File.

        The type key indicates how the translation has been requested, synchronous or asynchronous.  # noqa: E501

        :param type: The type of this File.  # noqa: E501
        :type: int
        """

        self._type = type

    @property
    def projectid(self):
        """Gets the projectid of this File.  # noqa: E501

        The key projectid indicates the translation project identifier.  # noqa: E501

        :return: The projectid of this File.  # noqa: E501
        :rtype: int
        """
        return self._projectid

    @projectid.setter
    def projectid(self, projectid):
        """Sets the projectid of this File.

        The key projectid indicates the translation project identifier.  # noqa: E501

        :param projectid: The projectid of this File.  # noqa: E501
        :type: int
        """

        self._projectid = projectid

    @property
    def status(self):
        """Gets the status of this File.  # noqa: E501

        The status key indicates the status of the translation.  # noqa: E501

        :return: The status of this File.  # noqa: E501
        :rtype: int
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this File.

        The status key indicates the status of the translation.  # noqa: E501

        :param status: The status of this File.  # noqa: E501
        :type: int
        """

        self._status = status

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(File, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, File):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
