# coding: utf-8

"""
    AT-RTS

    AT-RTS (Remote Translation Service) is the web API which enables our translation systems to be integrated into our clients’ systems, from where the entire content translation process can be controlled.<br/>The web API, based on a SOAP web service, has REST interoperability from version 5.3.0.<br/>The operational functionalities are:<ul><li><b>Operating check:</b> Active service check.</li><li><b>Synchronous translation:</b> requests for automatic translation (non-human) orders.</li><li><b>Asynchronous translation:</b> Asynchronous requests for specialised professional translation orders.<br/>Each request returns a <b><i>token</i></b>, associated with the translation request, the purpose of which is to uniquely identify each work request so that the corresponding translation can be requested in the future once proofreading is complete.<br/>It should be noted that asynchronous translation requests have the option to indicate a <b><i>callback</i></b> URL, which involves activating a completed translation notification service, so that our clients can automate the completed request download process.<br/>To summarise, in this case, AT sends the requests directly to our clients’ systems for them to be located in their systems.<br/>Conceptually, at ATLS Global we guarantee the <b><i>return of translations</i></b> for asynchronous order requests to our clients’ infrastructure, taking into account that if the communication system fails <b><i>repeatedly a certain number of times</i></b> for any reason, a warning email would be sent to the email account that the client has specified during the request.</li><li><b>Translation return request:</b> Request to obtain a professional translation order from a token generated by the asynchronous translation request. If the order is not complete, it returns document status information.</li><li><b>Cancellation of a translation:</b> request for cancellation of previous asynchronous translation requests by token that have not been initiated. In this case, ATLS Global S.L. systems will validate that the indicated token has not started the translation process; if it has not started, the request will be cancelled.</li><li><b>List of requests:</b> Request regarding status and consumption of translation orders from the cut-off date, with the following information:<ul><li>projectid: AT project ID</li><li>token: Request token</li><li>sourcelang: Source language</li><li>targetlang: Target language</li>filename: Name associated with the request</li><li>wordcount: Number of words</li><li>status: Translation status<ul><li>10: Under review</li><li>20: Ready and pending delivery</li><li>30: Delivered</li><li>40: Canceled and deleted</li><li>50: Expired delivery</li><li>90: Documental entry error</li><li>100: Processing error</li></ul></li><li>urlcallback: (optional) completed translation return URL</li><li>errnotifiersendto (optional): translation return error notification email</li><li>dateinsert: Date of registration</li><li>type: Translation type, SYNCHRONOUS OR ASYNCHRONOUS.</li></ul></li></ul>  # noqa: E501

    OpenAPI spec version: 5.6.0
    Contact: info@at-ls.com
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class OutFile(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'error': 'ErrorResponse',
        'status': 'int',
        'file_name': 'str',
        'base64': 'str',
        'word_count': 'int'
    }

    attribute_map = {
        'error': 'error',
        'status': 'status',
        'file_name': 'fileName',
        'base64': 'base64',
        'word_count': 'wordCount'
    }

    def __init__(self, error=None, status=None, file_name=None, base64=None, word_count=None):  # noqa: E501
        """OutFile - a model defined in Swagger"""  # noqa: E501
        self._error = None
        self._status = None
        self._file_name = None
        self._base64 = None
        self._word_count = None
        self.discriminator = None
        if error is not None:
            self.error = error
        if status is not None:
            self.status = status
        if file_name is not None:
            self.file_name = file_name
        if base64 is not None:
            self.base64 = base64
        if word_count is not None:
            self.word_count = word_count

    @property
    def error(self):
        """Gets the error of this OutFile.  # noqa: E501


        :return: The error of this OutFile.  # noqa: E501
        :rtype: ErrorResponse
        """
        return self._error

    @error.setter
    def error(self, error):
        """Sets the error of this OutFile.


        :param error: The error of this OutFile.  # noqa: E501
        :type: ErrorResponse
        """

        self._error = error

    @property
    def status(self):
        """Gets the status of this OutFile.  # noqa: E501

        The status key indicates the status of the translation  # noqa: E501

        :return: The status of this OutFile.  # noqa: E501
        :rtype: int
        """
        return self._status

    @status.setter
    def status(self, status):
        """Sets the status of this OutFile.

        The status key indicates the status of the translation  # noqa: E501

        :param status: The status of this OutFile.  # noqa: E501
        :type: int
        """

        self._status = status

    @property
    def file_name(self):
        """Gets the file_name of this OutFile.  # noqa: E501

        The filename key indicates the name of the file  # noqa: E501

        :return: The file_name of this OutFile.  # noqa: E501
        :rtype: str
        """
        return self._file_name

    @file_name.setter
    def file_name(self, file_name):
        """Sets the file_name of this OutFile.

        The filename key indicates the name of the file  # noqa: E501

        :param file_name: The file_name of this OutFile.  # noqa: E501
        :type: str
        """

        self._file_name = file_name

    @property
    def base64(self):
        """Gets the base64 of this OutFile.  # noqa: E501

        The base64 key indicates the content of the file in base64 if the request is in status 20, 30 or 50  # noqa: E501

        :return: The base64 of this OutFile.  # noqa: E501
        :rtype: str
        """
        return self._base64

    @base64.setter
    def base64(self, base64):
        """Sets the base64 of this OutFile.

        The base64 key indicates the content of the file in base64 if the request is in status 20, 30 or 50  # noqa: E501

        :param base64: The base64 of this OutFile.  # noqa: E501
        :type: str
        """

        self._base64 = base64

    @property
    def word_count(self):
        """Gets the word_count of this OutFile.  # noqa: E501

        The wordcount key indicates the number of words in the file that have been translated  # noqa: E501

        :return: The word_count of this OutFile.  # noqa: E501
        :rtype: int
        """
        return self._word_count

    @word_count.setter
    def word_count(self, word_count):
        """Sets the word_count of this OutFile.

        The wordcount key indicates the number of words in the file that have been translated  # noqa: E501

        :param word_count: The word_count of this OutFile.  # noqa: E501
        :type: int
        """

        self._word_count = word_count

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(OutFile, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, OutFile):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
