# atls_api.RestapiApi

All URIs are relative to *https://rts.at-ls.com/atrts*

Method | HTTP request | Description
------------- | ------------- | -------------
[**del_file_by_token**](RestapiApi.md#del_file_by_token) | **POST** /delFileByToken | delFileByToken
[**get_file_by_token**](RestapiApi.md#get_file_by_token) | **POST** /getFileByToken | getFileByToken
[**get_list**](RestapiApi.md#get_list) | **GET** /getList | getList
[**getget_file_by_token**](RestapiApi.md#getget_file_by_token) | **GET** /getFileByToken | getFileByToken
[**ping**](RestapiApi.md#ping) | **GET** /ping | ping
[**translate_asynchronous**](RestapiApi.md#translate_asynchronous) | **POST** /translateAsynchronous | translateAsynchronous
[**translate_synchronous**](RestapiApi.md#translate_synchronous) | **POST** /translateSynchronous | translateSynchronous

# **del_file_by_token**
> OutFile del_file_by_token(body)

delFileByToken

Method exclusively designed to cancel an asynchronous translation request via a unique token (generated in the asynchronous translation request). A request can only be cancelled if it has not started to be processed. The status key indicates the <b>status</b> of the translation. Possible values for asynchronous translations are:<ul><li>10: Under review</li><li>20: Ready and to be delivered</li><li>30: Delivered</li><li>40: Deleted</li><li>50: Delivery expired</li><li>90: Document entry error</li><li>100: Processing error</li><ul>The <b>filename</b> key indicates the name of the file, the base64 key indicates the content of the file in base64 if the request is in status 30 (delivered) and the wordcount key indicates the number of words in the file translated. If the document has already been deleted, the errorCode field shall contain the value 404. If the document cannot be deleted because the translation has already been started, the errorCode field will contain the value 403.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
body = NULL # object | Document information to be deleted

try:
    # delFileByToken
    api_response = api_instance.del_file_by_token(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->del_file_by_token: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**object**](object.md)| Document information to be deleted | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_file_by_token**
> OutFile get_file_by_token(body)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). The status key indicates the translation status. The possible values for asynchronous translations are:<ul><li>10: Under review</li><li>20: Ready and pending delivery</li><li>30: Delivered</li><li>40: Deleted</li><li>50: Expired delivery</li><li>90: Documental entry error</li><li>100: Processing error</li><ul>The <b>filename</b> key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
body = NULL # object | Example of a revised file request

try:
    # getFileByToken
    api_response = api_instance.get_file_by_token(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->get_file_by_token: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**object**](object.md)| Example of a revised file request | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_list**
> OutList get_list(projectid, sourcelang, targetlang, datecutoff, options=options)

getList

Request designed to check the status of all requested translation requests, whether synchronous or asynchronous. The results can be filtered using the date of sending the translation order requests, in Zulu format.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
projectid = 56 # int | Translation project identifier.
sourcelang = 'sourcelang_example' # str | Source language code in ISO-639-3 format.
targetlang = 'targetlang_example' # str | Target language code in ISO-639-3 format.
datecutoff = 'datecutoff_example' # str | Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time).
options = 'options_example' # str | JSON auxiliary options. (optional)

try:
    # getList
    api_response = api_instance.get_list(projectid, sourcelang, targetlang, datecutoff, options=options)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->get_list: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **int**| Translation project identifier. | 
 **sourcelang** | **str**| Source language code in ISO-639-3 format. | 
 **targetlang** | **str**| Target language code in ISO-639-3 format. | 
 **datecutoff** | **str**| Cut-off date, in the following format: YYYYY-MM-DDTHH:MI:SSZ (UTC or Zulu time). | 
 **options** | **str**| JSON auxiliary options. | [optional] 

### Return type

[**OutList**](OutList.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getget_file_by_token**
> OutFile getget_file_by_token(projectid, token, options=options)

getFileByToken

Method designed exclusively to request the result of asynchronous translation requests through a unique token (generated in the asynchronous translation request). To ensure that the operation of this method is correct in the event of a GET type request, the token must be encoded in URL format. The status key indicates the translation status. The possible values for asynchronous translations are:<ul><li>10: Under review</li><li>20: Ready and pending delivery</li><li>30: Delivered</li><li>40: Deleted</li><li>50: Expired delivery</li><li>90: Documental entry error</li><li>100: Processing error</li><ul>The <b>filename</b> key indicates the name, the base64 key indicates the file content in base64 if the request is in status 30 (delivered), and the wordcount key indicates the number of translated words in the file.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
projectid = 56 # int | Translation project identifier.
token = 'token_example' # str | Token resulting from the asynchronous translation request.
options = 'options_example' # str | JSON auxiliary options. (optional)

try:
    # getFileByToken
    api_response = api_instance.getget_file_by_token(projectid, token, options=options)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->getget_file_by_token: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **projectid** | **int**| Translation project identifier. | 
 **token** | **str**| Token resulting from the asynchronous translation request. | 
 **options** | **str**| JSON auxiliary options. | [optional] 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ping**
> InlineResponse200 ping()

ping

Checking that the service is working properly. This method does NOT REQUIRE AUTHENTICATION.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = atls_api.RestapiApi()

try:
    # ping
    api_response = api_instance.ping()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->ping: %s\n" % e)
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **translate_asynchronous**
> OutToken translate_asynchronous(body)

translateAsynchronous

An asynchronous translation request is generated, i.e. a review of a translation completed by a professional from the ATLS Global S.L. LSP division.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
body = NULL # object | Example of a revised translation

try:
    # translateAsynchronous
    api_response = api_instance.translate_asynchronous(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->translate_asynchronous: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**object**](object.md)| Example of a revised translation | 

### Return type

[**OutToken**](OutToken.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **translate_synchronous**
> OutFile translate_synchronous(body)

translateSynchronous

Synchronous (non-human automatic translation) translation order request.  After the request, the service returns the file translated into the specified target language.

### Example
```python
from __future__ import print_function
import time
import atls_api
from atls_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKeyAuth
configuration = atls_api.Configuration()
configuration.api_key['X-ATRTS-API-Key'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-ATRTS-API-Key'] = 'Bearer'# Configure HTTP basic authorization: BasicAuth
configuration = atls_api.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = atls_api.RestapiApi(atls_api.ApiClient(configuration))
body = NULL # object | Example of synchronous machine translation

try:
    # translateSynchronous
    api_response = api_instance.translate_synchronous(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RestapiApi->translate_synchronous: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**object**](object.md)| Example of synchronous machine translation | 

### Return type

[**OutFile**](OutFile.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth), [BasicAuth](../README.md#BasicAuth)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

